> For the complete documentation index, see [llms.txt](https://api.intecular.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.intecular.com/invisoutlet-pro/fetch-accessory-status/sensors.md).

# Sensors

> Fetch InvisDeco's latest sensor readings.

**Request**

* <mark style="color:red;">`packetID`</mark>: Represents the ID of the packet. This can be any six digit number, no leading zeros.
* <mark style="color:red;">`payload`</mark>:&#x20;
  * <mark style="color:red;">`callbackName`</mark>: 11

```json
{
    "packetID": 371939,
    "payload":
    {
        "callbackName": 11
    }
}
```

#### Response

* <mark style="color:red;">`sn`</mark>: The serial number of the InvisOutlet.
* <mark style="color:red;">`packetID`</mark>: Represents the ID of the packet based on request <mark style="color:red;">`packetID`</mark>.
* <mark style="color:red;">`PUBACK`</mark> : If the request is successfully processed; 1 - Successful, 0 - Fail.
* <mark style="color:red;">`payload`</mark>:&#x20;
  * <mark style="color:red;">`callbackName`</mark> : 11
  * <mark style="color:red;">`callbackArgs`</mark> :&#x20;
    * `1` : The InvisDeco device type; reserved for internal use.
    * `2` :&#x20;
      * <mark style="color:red;">`temp_valid`</mark> : A flag indicating the validity of the temperature and humidity sensor; 1 - valid, 0 - invalid.
      * <mark style="color:red;">`aqi_valid`</mark> : A flag indicating the validity of the air quality sensor; 1 - valid, 0 - invalid.
      * <mark style="color:red;">`temp_celsius`</mark>: Temperature in Celsius.
      * <mark style="color:red;">`humidity`</mark>: Relative humidity in percentage.
      * <mark style="color:red;">`BME680_temp_celsius`</mark>: Temperature from the air quality sensor. *for development use only*
      * <mark style="color:red;">`BME680_humidity`</mark>: Humidity from the air quality sensor. *for development use only*
      * <mark style="color:red;">`AQI`</mark>: Air quality index level.
      * <mark style="color:red;">`AQI_accuracy`</mark> : Accuracy of the AQI measurement; 3 - most accurate, 2 - average accuracy, 1 - least accuracy, 0 - calibration in process.
      * <mark style="color:red;">`pressure`</mark>: Atmospheric pressure in Pascals (Pa).
      * <mark style="color:red;">`gas`</mark>: Gas sensor reading in Ohms.
      * <mark style="color:red;">`co2_equiv`</mark>: Equivalent CO2 concentration in parts per million (ppm).
      * <mark style="color:red;">`co2_peak_lvl`</mark>: Peak CO2 concentration in ppm.
      * <mark style="color:red;">`co2_accuracy`</mark>: Accuracy of the CO2 measurement; 3 - most accurate, 2 - average accuracy, 1 - least accuracy, 0 - calibration in process.
      * <mark style="color:red;">`bvoc_equiv`</mark>: Equivalent breathe volatile organic compounds (bVOC) concentration in ppm.
      * <mark style="color:red;">`bvoc_accuracy`</mark>: Accuracy of the bVOC measurement; 3 - most accurate, 2 - average accuracy, 1 - least accuracy, 0 - calibration in process.
      * <mark style="color:red;">`lux_valid`</mark>: A flag indicating the ambient brightness sensor validity of the sensor; 1 - valid, 0 - invalid.
      * <mark style="color:red;">`lux`</mark>: Ambient brightness level in LUX.
      * <mark style="color:red;">`occupancy_valid`</mark>: A flag indicating the occupancy sensor validity of the sensor; 1 - valid, 0 - invalid.
      * <mark style="color:red;">`occupancy_state`</mark>: The occupancy detected state; 0: no occupancy, 1: movement only, 2: stationary only, 3: stationary and movement, 4: calibration in progress, 5: calibration completed, 6: calibration failed.
      * <mark style="color:red;">`distance`</mark>: The occupancy detected distance in centimeter (cm) between the device and the human movement.
      * <mark style="color:red;">`movement_energy`</mark>: The energy level of the detected movement occupancy; 0 (lowest) - 100 (highest)
      * <mark style="color:red;">`stationary_energy`</mark>: The energy level of the detected stationary occupancy; 0 (lowest) - 100 (highest)

```json
{
    "sn": "000FE441F7",
    "packetID": 371939,
    "payload": {
        "callbackName": 11,
        "callbackArgs": [
            4,
            {
                "temp_valid": 1,
                "aqi_valid": 1,
                "temp_celsius": "27.95",
                "humidity": "63.00",
                "BME680_temp_celsius": "28.74",
                "BME680_humidity": "63.64",
                "AQI": 50,
                "AQI_accuracy": 0,
                "pressure": 100925,
                "gas": 108414,
                "co2_equiv": 500,
                "co2_peak_lvl": 500,
                "co2_accuracy": 0,
                "bvoc_equiv": "0.49",
                "bvoc_accuracy": 0,
                "lux_valid": 1,
                "lux": "141.51",
                "occupancy_valid": 1,
                "occupancy_state": 3,
                "distance": 76,
                "movement_energy": 100,
                "stationary_energy": 100
            }
        ]
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api.intecular.com/invisoutlet-pro/fetch-accessory-status/sensors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
